Skip to main content
`Ctrl`+`K`

# TSRHSSplitGetIS

Retrieves the elements for a split as an `IS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSSplitGetIS(TS ts, const char splitname[], IS *is)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- splitname - name of this split

## Output Parameter

- is - the index set for part of the solution vector

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `IS`, `TSRHSSplitSetIS()`

## Level

intermediate

## Location

src/ts/interface/tsrhssplit.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages